-- initial_data.sql
-- ----------------
--
-- The initial data required to bootstrap the memberdb system.
--
-- (C)2004 Stewart Smith
--
-- NOTE: You should customise this file for your own
--       organisation before running it!

insert into orgs (id,name,founded,closed,website,contact)
	values (
	  1,
	  'FooBar Appreciation Society',
	  '2004-01-15',
	  NULL,
	  'http://www.flamingspork.com/projects/memberdb/',
	  'Stewart Smith <stewart@flamingspork.com>'
	);

insert into members (id,
		date_entered,
		first_name,middle_name,last_name,
		dob,sex,
		address1,address2,suburb,postcode,state,country,
		email,
		phone_home,phone_mobile)
	values (
	  1,
	  now(),
	  'Stewart','E','Smith',
	  '1982-01-29',
	  'M',
	  '6 Lancaster St',NULL,'East Bentleigh','3165','Victoria','Australia',
	  'stewart@linux.org.au',
	  '+61 3 9503 9507','+61 4 3884 4332'
	);

insert into member_types (id,org_id,
			type,
			description,
			validates_membership,revokes_membership)
	values (
	  1,1,
	  'Member',
	  'Ordinary Member',
	  true,false
	);

insert into org_members (member_id,org_id,member_type_id,
			 start_date,expiry)
	values (
	  1,1,1,
	  now(),NULL
	);

