<?php
/*
 * pages.inc.php
 * -------------
 * A list of pages, the category of them (for display purposes) and
 * any permission required to access them.
 *
 *
 * (C)2004 Stewart Smith
 * Distributed under the GPL.
 */

$permissions_pages = array(
 'index' =>
 array('page' =>'index',
       'title'=>'Membership Home'),

 'membership'=>
 array('category'=>'Membership',
       'items'=>
       array('signup'=>
	     array('page' =>'signup',
		   'title'=>'Sign-up',
		   ),
	     'approve_members'=>
	     array('page'=>'approve_members',
		   'title'=>'Approve',
		   'activity'=>'add org_members'),
	     ),
       ),

 'memberlist'=>
 array('page'=>'memberlist',
       'title'=>'Member list',
       'activity'=>'list members'),

 'exportmembers'=>
 array('page'=>'exportmembers',
       'title'=>'Export member list',
       'activity'=>'list members'),

 'passwd'=>
 array('page'=>'passwd',
       'title'=>'Change Password',
       'logged_in'=>1
       ),

 'positions'=>
 array('category'=>'Positions',
       'items'=>
       array('edit-positions'=>
	     array('page'=>'edit-positions',
		   'title'=>'Edit Types',
		   'activity'=>'edit positions'
		   ),
	     'edit-position-holders'=>
	     array('page'=>'edit-position-holders',
		   'title'=>'Edit Holders',
		   'activity'=>'edit positions'
		   ),
	     ),
       ),
 'elections'=>
 array('category'=>'Elections',
       'page'=>'elections',
       'logged_in'=>1,
       'items'=>
       array('edit-election'=>
	     array('page'=>'edit-election',
		   'title'=>'New',
		   'logged_in'=>1,
		   'activity'=>'election admin'
		   )
	     )
       ),
 'edit-member'=>
 array('page'=>'edit-member',
       'title'=>'Edit Member Details',
       'logged_in'=>1,
       ),
 );


?>